<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iCelNavMeshPath Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a67aee277211100b4c763358ac040a224">AddNode</a>(csVector3 node)=0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#abd62b0b4006329d511951c1a60b47d56">Current</a>(csVector3 &amp;vector) const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a228b4841290828555ce7f9f7e4d78eb4">GetDebugMeshes</a>() const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a9ad52f4127d6da755d4ef37eaf2ea122">GetFirst</a>(csVector3 &amp;vector) const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a1b18429c7006a10a15bf8162e358cce9">GetLast</a>(csVector3 &amp;vector) const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a3afe0a3d76eb1d520e3aa2d3b0b5b522">GetNodeCount</a>() const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#ab9d42a6717c5ba4952d38be1d4bf0c38">GetSector</a>() const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a3169df6cb147959ce634f42ec413e841">HasNext</a>() const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a6c7001480b8f410c469465192b1e41b5">HasPrevious</a>() const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#aec5e31bcc6de18926b5cb9a77774c3ed">InsertNode</a>(int pos, csVector3 node)=0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#af2e3dbbbbe1f955ca49d18823d8f722d">Invert</a>()=0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#adf7de8d93ba3a1c86f35c4890df66ea2">Length</a>() const =0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a3a1a2d54acf73a12179323b2e4a50738">Next</a>(csVector3 &amp;vector)=0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#a08f0e56ebb9932a4c43f0571fff9c840">Previous</a>(csVector3 &amp;vector)=0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshPath.html#ae69523b610507e27207f2742c3c1ad92">Restart</a>()=0</td><td><a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
